<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('batiment_unites', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('batiment_id')->unsigned()->nullable();
            $table->foreign('batiment_id')->references('id')->on('batiments')->nullable();
            $table->bigInteger('Unite_id')->unsigned()->nullable();
            $table->foreign('Unite_id')->references('id')->on('unites')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('batiment_unites');
    }
};
